Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.coverage.grid
Class Format

    java.lang.Object
      org.deegree.model.coverage.grid.Format

All Implemented Interfaces:
  Serializable

    public class Format

extends Object
implements Serializable

This interface is a discovery mechanism to determine the formats supported by a "org.opengis.coverage.grid.GridCoverageExchange" implementation. A `GC_GridCoverageExchange` implementation can support a number of file format or resources.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`Format(Code code)` Initializes a format with a Code containing a code that will be used as format name and a code space (optional) that will be interpreted as format vendor.
`Format(String name, String description, String docURL, String vendor, String version)`
`Format(String name, String description, String docURL, String vendor, String version, GeneralOperationParameterIm[] readParameters, GeneralOperationParameterIm[] writeParameters)`

Method Summary
`void` | `addReadParameter(GeneralOperationParameterIm readParameter)`
`void` | `addWriteParameter(GeneralOperationParameterIm writeParameter)`
`boolean` | `equals(Object obj)` performs a test if the passed Object is equal to this Format.
`String` | `getDescription()` Description of the file format.
`String` | `getDocURL()` Documentation URL for the format.
`String` | `getName()` Name of the file format.
`GeneralOperationParameterIm[]` | `getReadParameters()`
`String` | `getVendor()` Vendor or agency for the format.
`String` | `getVersion()` Version number of the format.
`GeneralOperationParameterIm[]` | `getWriteParameters()` Retrieve the parameter information for a org.opengis.coverage.grid.GridCoverageWriter#write operation.
`void` | `setDescription(String description)`
`void` | `setDocURL(String docURL)`
`void` | `setName(String name)`
`void` | `setReadParameters(GeneralOperationParameterIm[] readParameters)`
`void` | `setVendor(String vendor)`
`void` | `setVersion(String version)`
`void` | `setWriteParameters(GeneralOperationParameterIm[] writeParameters)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Format

    public Format(Code code)

  Initializes a format with a Code containing a code that will be used as format name and a code space (optional) that will be interpreted as format vendor.

  Parameters:
    `code` -

### Format

    public Format(String name,
                  String description,
                  String docURL,
                  String vendor,
                  String version)

Parameters:
  `description` -
  `docURL` -
  `name` -
  `vendor` -
  `version` -

### Format

    public Format(String name,
                  String description,
                  String docURL,
                  String vendor,
                  String version,
                  GeneralOperationParameterIm[] readParameters,
                  GeneralOperationParameterIm[] writeParameters)

Parameters:
  `description` -
  `docURL` -
  `name` -
  `vendor` -
  `version` -
  `readParameters` -
  `writeParameters` -

Method Detail

### setDescription

    public void setDescription(String description)

  Parameters:
    `description` - The description to set.

### setDocURL

    public void setDocURL(String docURL)

  Parameters:
    `docURL` - The docURL to set.

### setName

    public void setName(String name)

  Parameters:
    `name` - The name to set.

### setReadParameters

    public void setReadParameters(GeneralOperationParameterIm[] readParameters)

  Parameters:
    `readParameters` - The readParameters to set.

### addReadParameter

    public void addReadParameter(GeneralOperationParameterIm readParameter)

  Parameters:
    `readParameter` -

### setVendor

    public void setVendor(String vendor)

  Parameters:
    `vendor` - The vendor to set.

### setVersion

    public void setVersion(String version)

  Parameters:
    `version` - The version to set.

### setWriteParameters

    public void setWriteParameters(GeneralOperationParameterIm[] writeParameters)

  Parameters:
    `writeParameters` - The writeParameters to set.

### addWriteParameter

    public void addWriteParameter(GeneralOperationParameterIm writeParameter)

  Parameters:
    `writeParameter` -

### getName

    public String getName()

  Name of the file format.

  Returns:
    the name of the file format.

### getDescription

    public String getDescription()

  Description of the file format. If no description, the value will be `null`.

  Returns:
    the description of the file format.

### getVendor

    public String getVendor()

  Vendor or agency for the format.

  Returns:
    the vendor or agency for the format.

### getDocURL

    public String getDocURL()

  Documentation URL for the format.

  Returns:
    the documentation URL for the format.

### getVersion

    public String getVersion()

  Version number of the format.

  Returns:
    the version number of the format.

### getReadParameters

    public GeneralOperationParameterIm[] getReadParameters()

  Returns:
    the information Retrieve the parameter information for a "org.opengis.coverage.grid.GridCoverageReader#read" read operation.

### getWriteParameters

    public GeneralOperationParameterIm[] getWriteParameters()

  Retrieve the parameter information for a org.opengis.coverage.grid.GridCoverageWriter#write operation.

  Returns:
    the parameter information for a org.opengis.coverage.grid.GridCoverageWriter#write operation.

### equals

    public boolean equals(Object obj)

  performs a test if the passed Object is equal to this Format. Two Formats are equal if their names ar equal and (if not null) their vendors and versions are equal.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - object to compare
  See Also:
    `Object.equals(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org